Bug 232199 - net-mgmt/unifi-devel: Update to 5.9.32
Summary: net-mgmt/unifi-devel: Update to 5.9.32
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-12 02:49 UTC by Bryce Edwards
Modified: 2019-01-07 15:04 UTC (History)
2 users (show)

See Also:


Attachments
svn diff for net-mgmt/unifi-devel (1.16 KB, patch)
2018-10-12 02:49 UTC, Bryce Edwards
no flags Details | Diff
net-mgmt/unifi-devel diff for 5.9.32 (1.18 KB, patch)
2018-12-05 04:39 UTC, Bryce Edwards
no flags Details | Diff
Comparison of two EULA texts on Unifi site. (1.83 KB, text/plain)
2018-12-07 05:42 UTC, Kelly Hays
no flags Details
net-mgmt/unifi-devel diff for 5.9.32 (1.51 KB, patch)
2018-12-26 19:11 UTC, Bryce Edwards
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bryce Edwards 2018-10-12 02:49:26 UTC
Created attachment 198055 [details]
svn diff for net-mgmt/unifi-devel

Update to new release
Comment 1 Mateusz Piotrowski freebsd_committer 2018-10-12 14:35:43 UTC
Thank you for your submission :)

I'll take care of this patch.
Comment 2 Mateusz Piotrowski freebsd_committer 2018-10-12 14:55:06 UTC
BTW, do you know by any chance what's the license under whose terms this software is distributed?
Comment 3 Bryce Edwards 2018-10-12 15:38:53 UTC
I will find the license and try to get a follow on patch to reflect the in the Makefile. Thanks for bringing this up!
Comment 4 Mateusz Piotrowski freebsd_committer 2018-10-12 15:40:08 UTC
You may also try if you can replace /usr/bin/ar with ${AR} ;)
Comment 5 Bryce Edwards 2018-12-05 04:39:04 UTC
Created attachment 199837 [details]
net-mgmt/unifi-devel diff for 5.9.32

Update for 5.9.32 and changed to use ${AR}.
Comment 6 Bryce Edwards 2018-12-05 04:40:15 UTC
I could not find an official reference to what license type this application uses :(
Comment 7 Mateusz Piotrowski freebsd_committer 2018-12-05 13:06:41 UTC
(In reply to Bryce Edwards from comment #6)

Could it be this?

https://www.ubnt.com/eula/
Comment 8 Kelly Hays 2018-12-07 05:40:11 UTC
(In reply to Mateusz Piotrowski from comment #7)
I compared the text from https://www.ubnt.com/eula/ and the text from the popup window on the download page https://www.ubnt.com/download/unifi that appears when you click on the download link for the linux version of the unifi controller. The only difference is one sentence that refers to clicking buttons in one version and downloading in the other version. I attached the diff file for your reference. 

So I think the the text at https://www.ubnt.com/eula/ should be considered the license for this software.
Comment 9 Kelly Hays 2018-12-07 05:42:26 UTC
Created attachment 199919 [details]
Comparison of two EULA texts on Unifi site.
Comment 10 Bryce Edwards 2018-12-26 19:11:11 UTC
Created attachment 200536 [details]
net-mgmt/unifi-devel diff for 5.9.32

Update for FreeBSD 12 compatibility, updates to mongodb36
Comment 11 Mateusz Piotrowski freebsd_committer 2018-12-29 19:22:22 UTC
https://reviews.freebsd.org/D18683
Comment 12 commit-hook freebsd_committer 2019-01-07 15:02:38 UTC
A commit references this bug:

Author: 0mp
Date: Mon Jan  7 15:01:43 UTC 2019
New revision: 489578
URL: https://svnweb.freebsd.org/changeset/ports/489578

Log:
  net-mgmt/unifi-devel: Update to 5.9.32

  - Set LICENSE. As this software is released under EULA I am not sure that
    we can still package it as we used to.
  - Use ${AR} instead of /usr/bin/ar in EXTRACT_CMD.

  PR:		232199
  Submitted by:	Bryce Edwards <bryce@bryce.net> (maintainer)
  Reviewed by:	krion
  Approved by:	krion (mentor)
  Differential Revision:	https://reviews.freebsd.org/D18683

Changes:
  head/LEGAL
  head/net-mgmt/unifi-devel/Makefile
  head/net-mgmt/unifi-devel/distinfo
Comment 13 Mateusz Piotrowski freebsd_committer 2019-01-07 15:04:47 UTC
We may consider asking Unifi if they would agree for the FreeBSD project to distribute this port as a package.